Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.webmail
Class MailCache

    java.lang.Object
      i2p.susi.webmail.MailCache

    public class MailCache

extends Object

Author:
  user

Field Summary
`static boolean` | `FETCH_ALL`
`static boolean` | `FETCH_HEADER`

Constructor Summary
`MailCache(POP3MailBox mailbox)`

Method Summary
`Mail` | `getMail(String uidl, boolean headerOnly)` Fetch any needed data from pop3 server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FETCH_HEADER

    public static final boolean FETCH_HEADER

See Also:
  Constant Field Values

### FETCH_ALL

    public static final boolean FETCH_ALL

See Also:
  Constant Field Values

Constructor Detail

### MailCache

    MailCache(POP3MailBox mailbox)

Method Detail

### getMail

    public Mail getMail(String uidl,
                        boolean headerOnly)

  Fetch any needed data from pop3 server.

  Parameters:
    `uidl` - message id to get
    `headerOnly` - fetch only header lines?
  Returns:
    An e-mail

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD